com.atid.lib.reader.types

## Enum CommType

- java.lang.Object
- - java.lang.Enum<CommType>
  - - com.atid.lib.reader.types.CommType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<CommType>

      public enum CommType
      extends java.lang.Enum<CommType>
      implements IEnumType

  ATEAReader Indicates the communication protocol of the instance and equipment.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII`
    `HEX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static CommType` | `valueOf(int code)`
    `static CommType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCII

          public static final CommType ASCII

    - #### HEX

          public static final CommType HEX

  - ### Method Detail

    - #### values

          public static CommType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommType c : CommType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<CommType>`

    - #### valueOf

          public static CommType valueOf(int code)